#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.10
visibility:           public
id:                   foldl-1.4.10-3ByHbYIMs8lACBOjkDuF6H
key:                  foldl-1.4.10-3ByHbYIMs8lACBOjkDuF6H
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  4232ff348cf5f62e1f211c78c9253073
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.3/site-local/foldl-1.4.10
library-dirs:         /usr/lib/ghc-8.10.3/site-local/foldl-1.4.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/foldl-1.4.10
hs-libraries:         HSfoldl-1.4.10-3ByHbYIMs8lACBOjkDuF6H
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    comonad-5.0.8-BMshZz6CTN49KaWpj8sCvd containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    hashable-1.3.0.0-5qdfMSsmqkmIwwd20sXj0N
    mwc-random-0.15.0.1-LlX7NQI7larED47gFVmsx7
    primitive-0.7.1.0-LBnqWMwNbMo1C8N6JFmBN1
    profunctors-5.6.1-9k5OAaxwXN48PYesaPRapB
    semigroupoids-5.3.5-2BihvdelRg03ATkXfFNLYr text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-B2itob00tt21MN59yWyZcw
    vector-0.12.1.2-9WhpBRriwwnDyQOL02PlGN

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

